Bug 211686 - an attempt to stop clvmd when it's already stopped will cause invalid VG errors
Summary: an attempt to stop clvmd when it's already stopped will cause invalid VG errors
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-20 19:51 UTC by Corey Marthaler
Modified: 2013-03-01 04:04 UTC (History)
6 users (show)

Fixed In Version: 2.02.15-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 17:30:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2006-10-20 19:51:52 UTC
Description of problem:
[root@taft-04 ~]# service clvmd stop
Deactivating VG TAFT_CLUSTER:   0 logical volume(s) in volume group
"TAFT_CLUSTER" now active
                                                           [  OK  ]
Stopping clvm:                                             [  OK  ]

[already stopped now]

[root@taft-04 ~]# service clvmd stop
  connect() failed on local socket: Connection refused
  Skipping clustered volume group TAFT_CLUSTER
  connect() failed on local socket: Connection refused
  Volume group "WARNING:" not found
  Volume group "Falling" not found
  Volume group "back" not found
  Volume group "to" not found
  Volume group "local" not found
  Volume group "file-based" not found
  Volume group "locking." not found
  Volume group "Volume" not found
  Volume group "Groups" not found
  Volume group "with" not found
  Volume group "the" not found
  Volume group "clustered" not found
  Volume group "attribute" not found
  Volume group "will" not found
  Volume group "be" not found
  Volume group "inaccessible." not found
Stopping clvm:                                             [FAILED]

Why does it think that all that output are VGs?

Version-Release number of selected component (if applicable):
[root@taft-04 ~]# uname -ar
Linux taft-04 2.6.18-1.2732.el5 #1 SMP Tue Oct 17 18:19:51 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux
[root@taft-04 ~]# rpm -qa | grep lvm
lvm2-cluster-2.02.12-2.el5
lvm2-2.02.12-2.el5


How reproducible:
everytime

Comment 1 Milan Broz 2006-11-01 12:00:06 UTC
Init script is incorrect, easy fix.

Comment 2 RHEL Product and Program Management 2006-11-01 12:20:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Alasdair Kergon 2006-11-02 19:19:59 UTC
fixed upstream

Comment 4 Milan Broz 2006-11-20 21:58:06 UTC
Fixed in build lvm2-cluster-2.02.15-1.el5

Comment 5 Corey Marthaler 2006-11-21 22:25:47 UTC
fix verified in lvm2-cluster-2.02.15-3.el5


Note You need to log in before you can comment on or make changes to this bug.